<?php
require'config.php';
$align='left';

if (!ctype_digit($_GET['nk'])) { header('Location: index?'.SID); die; }
$nk = intval($_GET['nk']);
$inf = $db->sql_fetchrow ($db->sql_query ("SELECT * FROM `users` WHERE `id`='".$nk."'"));
$title='Нарушения '.$inf[user];
aut();
head();
who_add(0,'enter');
echo '<br />';

if (isset($_GET['delete'])) {
#if ($a['mgs_id'] == $user['id'] || $user['level'] >= 5) {
$a = mysql_query("SELECT `id` FROM infringements WHERE `id` = '".intval($_GET['delk'])."'");
if (mysql_num_rows($a) == false) {
    echo 'У вас нет прав!';
	} else {
mysql_query("DELETE FROM `infringements` WHERE `id` = '".intval($_GET['delk'])."'");
header('Location: infringements.php?nk='.$inf['id']);
}
#} else {
#echo 'У вас нет прав!';
#}
}

if (isset($_POST['send'])) {

if (user_inf($inf['id'], 'st_notify') == 1) {
if ($user['sex'] == 1) $sex = 'вписал'; else $sex = 'вписала';
$msg = 'Пользователь [b]'.$user['user'].'[/b] '.$sex.' вам [url=/infringements'.$inf['id'].']Нарушение[/url].';
$db->sql_query ("INSERT INTO privat (user,user_id,to_user,to_id,time,msg) VALUES ('$user_system','0','".user($inf['id'])."','".user_inf($inf['id'])."','$time','$msg')");
}

if (mb_strlen($_POST['msg'], 'UTF8') < 3) { header ('Location: ?nk='.$inf['id']); exit; }
if ($user['translit'] == 1) $_POST['msg'] = translit($_POST['msg']);
$db->sql_query ("INSERT INTO infringements (user_id,mgs_id,msg,time) VALUES ('$inf[id]','$user[id]','".check($_POST['msg'])."','$time')");
posts_add();
header ('Location: ?nk='.$inf['id']);
}


if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select count(*) as num from infringements where user_id = '".$inf['id']."'"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;

$r = $db->sql_query ("Select * from infringements where user_id = '".$inf['id']."' order by time desc LIMIT $start, $max");

if (($max*$page)<$k_post) $maxi = $max*$page; else $maxi = $k_post;
echo 'Показаны записи '.($start+1).'-'.$maxi.' из '.$k_post.'<br /><br />';
if ($k_post == 0)echo 'Нарушений нет... <br /><br />';

$post_k=$start+1;
while($a = @$db->sql_fetchrow($r)){
echo links.'<b>'.nik($a['mgs_id']).'</b> ('.times($a['time']).')'.div;

echo '&#160;'.smiles(antir(antim(bbcode(br($a['msg']))))).'<br/>';

if (user_inf($a[mgs_id],'sex')==1)$sex = 'Его'; else $sex = 'Её';
if ($a[mgs_id]!=$user[id]&&$a[mgs_id]!=$inf[id])echo '<a href="'.H.'infringements'.$a[mgs_id].'">Нарушения '.$sex.'</a>';
if($a['mgs_id'] == $user['id'] || $user['level'] >= 5)
echo '<a href="?nk='.$inf['id'].'&amp;delete&amp;delk='.$a['id'].'">Удалить</a>';
#echo $delk.'</small><dt></dt>';
echo '<dl></dl>';
}
if ($k_page>1){
echo "<dl><dt></dt></dl>";
str(H.'infringements'.$inf['id'].'?',$k_page,$page);
}
if($user['level']>=4)
if ($ver!='wml')echo '<form action="?nk='.$inf['id'].'" method="post">';
if($user['level']>=4)
if ($ver=='wml')echo 'Нарушение:<br /><input name="msg'.$ref.'" maxlength="15" title="Text"/><br/>';
else {echo 'Нарушение:<br /><textarea cols="'.$user['pole2'].'" rows="'.$user['pole1'].'" name="msg"></textarea><br/><br />';
}
if ($ver=='wml'){
if($user['level']>=4)
echo '<anchor title="go">Вписать<go href="infringements'.$inf['id'].'?'.SID.'" method="post">';
if($user['level']>=4)
echo '<postfield name="msg" value="$msg'.$ref.'"/>
</go></anchor><br /><br />';
;
}else{
if($user['level']>=4)
echo '<input type="submit" class="ibutton" name="send" value="Вписать"/></form><br /><br />';
}


echo '<br />';
echo gb.'<a href="'.H.$inf[id].'">В Анкету</a>'.div;
echo gb.'<a href="'.H.'enter?">На Главную</a>'.div;
foot();
?>